#
# Conditional build:
%bcond_without	tests		# build without tests

Summary:	Implementation of Python 3 with very low memory footprint
Name:		micropython
Version:	1.24.1
Release:	2
License:	MIT
Group:		Development/Languages/Python
Source0:	http://micropython.org/resources/source/%{name}-%{version}.tar.xz
# Source0-md5:	1086e0af7127fc5021ca91f882c985f7
Patch0:		x86.patch
Patch1:		x32.patch
URL:		http://micropython.org/
BuildRequires:	libffi-devel
BuildRequires:	mbedtls-devel
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-modules
%if %{with tests}
BuildRequires:	python3
BuildRequires:	python3-modules
BuildRequires:	python3-elftools
%endif
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implementation of Python 3 with very low memory footprint.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1

%build

# add -I/where/jni.h (do we have a method to get this dir?) is and MICROPY_PY_JNI=1 to make below

%{__make} -C ports/unix \
	CC="%{__cc}" \
	CFLAGS_EXTRA="%{rpmcppflags} %{rpmcflags} -Wno-error=maybe-uninitialized -Wno-error=clobbered" \
	LDFLAGS_EXTRA="%{rpmldflags}" \
	MICROPY_SSL_MBEDTLS=1 \
	STRIP=true \
	V=1

%if %{with tests}
%ifarch x32
export X32=true
%endif
%{__make} -C ports/unix test
%endif

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
cp -a ports/unix/build-standard/micropython $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/micropython
%changelog
* Sat Dec 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/micropython.git;a=log;h=master

* Sat Dec 28 2024 Jan Rękorajski <baggins@pld-linux.org> b683ffa
- Release 2 (by relup.sh)

* Sat Dec 28 2024 Jan Rękorajski <baggins@pld-linux.org> 2e4c93a
- fix building on x32

* Sat Dec 28 2024 Jan Rękorajski <baggins@pld-linux.org> b4a2e11
- fix building on x86 without sse2

* Thu Dec 05 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 8914c40
- Up to 1.24.1

* Fri Apr 01 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> ef06dcf
- Up to 1.18.

* Tue Mar 12 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 935203d
- up to 1.10

* Wed Apr 13 2016 Elan Ruusamäe <glen@delfi.ee> eb09b3f
- ... and tests use system python3!

* Wed Apr 13 2016 Elan Ruusamäe <glen@delfi.ee> e8a8a66
- update BR

* Wed Apr 13 2016 Elan Ruusamäe <glen@delfi.ee> 571ea69
- pldize

* Wed Apr 13 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3de44fe
- initial

